package MyGraphen;

public class Kanten {
	Knoten knote1;
	Knoten knote2;
	
	Kanten(Knoten knote1, Knoten knote2){
		this.knote1 = knote1;
		this.knote2 = knote2;
		
		this.knote1.add_Kante(this);
		this.knote2.add_Kante(this);
	}
	
	
	public Knoten getpartner(Knoten knote) {
		Knoten partner = (knote == knote1)? knote2 : knote1;
		return partner;
	}
	
	
	
}
